commit d3f3c9549119629ddd9447a0f9b699a909b916d5
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Jan 21 22:12:25 2016 -0500

    Bump to version 6.10.1
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Christopher Chavez <chrischavez@gmx.us>

commit 562681414f38c6925da01b3fec0802f532cd9e53
Author: Connor Behan <connor.behan@gmail.com>
Date:   Sun Jan 17 16:45:31 2016 -0500

    Assume CRT in the absence of other monitors
    
    This patch is still untested, but it sounds like a lot of people need
    it. Assuming that there are no monitors when DDC fails (which causes X
    to abort with UMS) does not make sense. Some people will always have DDC
    fail. For example, the pins are not connected on an iMac G3. For another
    example, some RAGE128TF cards are known to lie that there is no VGA port
    in the connector table.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit d6dd6c9ad5ba8e4950c9398d93298fea48745263
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Jul 2 18:20:58 2015 -0400

    Really fix bitmasks for DDC
    
    For DDC, there is actually no difference between Pro2 cards and other
    VGA desktop cards. Mobility / dualhead cards are the only ones that
    differ.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91113
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Kevin Brace <kevinbrace@gmx.com>

commit 0b0f74ac7db42c772c8dda0167154bbdcb904d4f
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri May 1 19:43:42 2015 -0400

    Bump to version 6.10.0
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit d05022a1c398787d3f21d023a8251cb128ba9f9f
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 23 21:57:10 2015 -0400

    Update bitmasks for DDC
    
    A RAGE128TR chipset with a VGA port uses different i2c clock bits than
    the VGA cards previously tested. It seems reasonable to assume that
    other Pro2 cards are set up this way as well. In case this is incorrect,
    a newly added xf86I2CProbeAddress() should still allow a monitor to be
    detected.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Tobias Powalowski <tobias.powalowski@googlemail.com>

commit b9c9779398828d4a1491e32f731aad6f79653976
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 23 21:51:45 2015 -0400

    Look for VGA ports in the VBIOS
    
    It appears that not all r128 chipsets marked as DFP capable have DVI
    ports. Some have VGA which we should detect. The old driver "detected"
    this by attempting a DVI based probe for monitors. Anything that failed
    this was assumed to be VGA.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Tobias Powalowski <tobias.powalowski@googlemail.com>

commit cd72de385b5600229226c3a7248a89569b452136
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 23 21:47:52 2015 -0400

    Fix allocation of private entity
    
    In the past, pR128Ent was only used for Xinerama-style dualhead and
    therefore only allocated for cards with two outputs. However, recent
    patches have repurposed pR128Ent as a general struct for things that are
    card-specific instead of instance-specific. It therefore needs to be
    allocated for all cards.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=89236
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Tested-by: Tobias Powalowski <tobias.powalowski@googlemail.com>

commit 8c7daa148796a037ae2518154345719a735833c3
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Mar 4 00:31:33 2015 -0500

    Restore PLL0 as well as PLL3
    
    Apparently, the text mode driver can use either register to store the
    pixel clock. The assumption made previously was apparently corrupting
    the console on PowerPC systems. Thanks to Michael Lorenz for the patch.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=32606
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit bfff401440c5bb72fb1ce90c804f3a5623d733b0
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 2 16:15:16 2015 -0500

    Make it easier to find EXA
    
    As of commit e31564e1a21e73f4d20d6471da4fc7a9b63e4062, the xserver is
    more picky about the order in which headers are included. We need to
    account for this in order for the compile time exa.h check to succeed.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit e13dd1d338e4501c9d98c86c60806cc3d6801ea8
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 2 15:21:17 2015 -0500

    Include dpmsconst header
    
    Fixes the build on some systems. Thank-you to Andrew Randrianasulu for
    the patch.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 86533afa3dd9a3567330f157d03cd8188f89cc72
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Mar 2 15:18:19 2015 -0500

    Typo fix
    
    This only affects XAA builds but still. Thank-you to Andrew
    Randrianasulu for the patch.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit fcee44e469b22934a04bd3ee19ed101aaa176a54
Author: Connor Behan <connor.behan@gmail.com>
Date:   Sat Aug 23 01:24:42 2014 -0400

    Silence the non-debug warnings
    
    Some declarations of pScrn are only there for debugging purposes. This
    should make gcc quieter on most systems.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 089c81ed6b6efc4610e0c5e5fcb36dfd58b83439
Author: Connor Behan <connor.behan@gmail.com>
Date:   Sat Aug 23 01:19:25 2014 -0400

    Fix whitespace near panel code
    
    This has been bugging me.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 0519b7b3aac61dfd57cbf3bb0da561ca9bd079cb
Author: Connor Behan <connor.behan@gmail.com>
Date:   Sat Aug 23 01:13:18 2014 -0400

    Improve panel code
    
    Since the driver uses PanelXRes and PanelYRes to calculate stretch
    ratios, it should try harder to set them. For LVDS, we need to move the
    xorg.conf check so that it executes before the BIOS check. For DVI, we
    should read them from the mode that the X server has identified as being
    the native one. Even then, PanelXRes and PanelYRes are not guaranteed to
    be positive, so the driver should verify this before dividing by them.
    
    Another problem with the old panel code was that PanelPwrDly had no sane
    default. It was also missing the check for Rage Pro 2 which lacks RMX.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit d49c3431e92a6120b054959ce6910e8decf61c67
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Jul 25 13:39:08 2014 -0700

    Remove custom DGA code
    
    I have yet to see a use for the DGA code included in the driver.
    According to radeon commits, it should be safe to replace it with DiDGA.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 6140081f0e8f41cf85b8e86f7a9474c20be9a2e9
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Aug 6 15:51:33 2014 -0700

    Remove custom dualhead code
    
    There are probably no reasons left to use Xinerama over xrandr. This
    removes the screen based dualhead code and the BIOS Display option in
    xorg.conf. Additionally, R128ValidMode() is wrapped so that it can be
    aware of multiple displays.
    
    Even though some Crtc functions refer to them, PanelXRes and PanelYRes
    should be properties of the Output. If this change to the code seems
    awkward, see http://marc.info/?t=107222330700001 for more information.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 2072d9aa1a144e699f020a7f9e6a870e410bc9d7
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Aug 6 15:41:02 2014 -0700

    Improve handling of monitor and output types
    
    Checking for OUTPUT_DVI is not the same as checking for MT_DFP. There
    might be r128 cards with a DVI-I connector. These have the capability of
    driving an MT_CRT so we now check the monitor type before programming
    DAC or TMDS registers.
    
    This patch also removes R128ConnectorType and R128BIOSConnector because
    they were not doing much. These data structures are more useful for the
    radeon driver where there is a much wider range of cards.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 6dc5e9ab12dc31ae5de24f1d5c10c4fe80e7fe07
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Jul 24 00:01:46 2014 -0700

    Unify byte swappers
    
    The cursor loading function was using a lot of code to swap bytes for
    big endian systems. For awhile now, the solid picture support for EXA
    has had a more optimized function that does the same thing.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 48e9b2359e8ab07095e1cb024e61b223a67cbc1a
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Jul 24 00:00:24 2014 -0700

    Unify allocators
    
    RandR and Xv were using almost the same code to grab offscreen memory
    from EXA and XAA.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 0d901460b375599c727928634d5f1067d2279844
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 17:47:44 2014 -0700

    Use standard integers
    
    To fix another warning, we need to be consistent about when we use
    CARD32 an when we use uint32_t. Xorg developers have decided on the
    latter as a convention.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit b632e89b923179b16d0d38128209427f666b963c
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 02:20:18 2014 -0700

    Remove pointless output
    
    This removes a debug line to fix a compiler warning and make the
    crtc1 and crtc2 code more symmetric. The number of bits per pixel is
    easy to find out anyway.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 866d0ad5295a7ca819b990f607d3e68582144b3b
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 17:39:59 2014 -0700

    Cleanup info struct
    
    This removes some dead code from info. It also fixes some indentation
    errors that were likely caused by sed.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit d05123eab19705d23310d06a299e61093abbe6cc
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 17:23:37 2014 -0700

    Cleanup entity struct
    
    This moves HasCRTC2 into the entity to make it more similar to radeon.
    It also removes IsDRIEnabled for being dead code.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit c95ce4251921f09101911ca5c4ff3940c38cc6b5
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 01:29:19 2014 -0700

    Get entity without code duplication
    
    This fixes the parts of the code that were not using the helper function
    to find the entity.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit e9ea36390ea0478c4b867df3bffdf2b122e0cb15
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 16 00:57:18 2014 -0700

    Change register name
    
    Surely this is a typo.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 3bbce42414abea6c9977ff2b023ce3210d78f008
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 9 11:40:35 2014 -0700

    Move display enabling code to DPMS
    
    This ensures that DAC, TMDS and LVDS enable bits are properly saved and
    only set in the dpms hook.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit de7fa61b06c887df7a89154bf0f07703a665263a
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 9 11:37:12 2014 -0700

    Split up output register functions
    
    The old code was writing registers more often than it needed to. TMDS
    writes were triggered by changing the mode for an LVDS panel and RMX
    writes were triggered by changing the mode for the second crtc. This
    splits TMDS, LVDS, DAC and RMX calls into their own functions.
    
    Also note that routing bits have been specified. R128_FP_SEL_CRTC2 and
    R128_LVDS_SEL_CRTC2 are always unset to make the panels use the first
    crtc. R128_DAC_CRT_SEL_CRTC2 is unset unless LVDS is already using the
    first crtc.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 4c6457e1893e16546c03ca85a2fa7378b6c927f3
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Jul 7 18:49:15 2014 -0700

    Map and unmap the MMIO better
    
    Now that the MMIO stays mapped during several function calls, we need to
    remember to unmap it if any of them fail. This also fixes a PowerPC code
    path that was not updated to work with the longer lived MMIO.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 539320429ff1cf8918862da3f950c8740ba63ec4
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Jul 4 12:44:30 2014 -0700

    Only enable CRTCs for DPMSModeOn
    
    This was suggested as a power saving tip.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 3ed5035074540785f820906529fcce3148e0b387
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Jul 2 02:18:48 2014 -0700

    Port to RandR
    
    This rearranges the r128 code to use the Crtc and Output interfaces
    which should make the driver easier to maintain in the long run. User
    visible changes include DDC detection working in more cases and the
    ability to have multiple monitors with DRI.
    
    Some choices have been made to conserve memory. Modes can be switched up
    to the highest resolution in xorg.conf. If this is 1024x768 for example,
    the front buffer will be 1024x768 instead of 1024x1024. This means 90
    and 270 degree rotations will not work. However, scalings, reflection
    and 180 degree rotations can be set with the xrandr client program.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=75629
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 4efc87f41d770c753ddf7f54fe334b6dbd7daf79
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Apr 28 21:26:44 2014 -0700

    Fix ScreenInit with noAccel
    
    Now that EXA is on by default, we must remember to turn it off again if
    acceleration is disabled.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 5ef5812a7a272aa08543cfd9b633f33c35e34dbd
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Mar 4 01:43:00 2014 -0800

    Remove overuse of COMPOSITE_SETUP()
    
    COMPOSITE_SETUP() involves expensive register writes so
    R128EnterServer() should call it once when there are 3D windows and 0
    times when there are no 3D windows.
    
    Instead the code was calling it once when there were no 3D windows and
    arbitrarily many times when there were 3D windows.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Michel Dänzer <michel.daenzer@amd.com>

commit 9eb693640136bc8bcbe706d642519b4eb23286d4
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Nov 27 18:14:43 2013 -0800

    Only declare PCITAG if we need it
    
    If libpciaccess is available, we do not need to declare the deprecated
    PciTag member because it will not be used.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit 35dc7faf9f87332f51ff0a6aa866a56eb017a950
Author: Connor Behan <connor.behan@gmail.com>
Date:   Thu Nov 21 22:09:57 2013 -0800

    Do not disable gouraud shading for a render op
    
    The EXA Composite hooks should not overwrite any register values
    expected by DRI. Initial testing of the EXA support revealed that
    R128_WINDOW_XY_OFFSET is one register where we have to be careful.
    However, it was mostly tested using glxgears which does not stress the
    driver very much. Going through the various 3D screensavers one by one
    reveals a bug where certain models turn green if compositing is enabled.
    
    It seems that if we slightly alter the values passed to R128_SETUP_CNTL
    and R128_PM4_VC_FPU_SETUP, the 3D driver will be happy and compositing
    will still work. The proper way would be to constantly save and restore
    register values but this showed poor performance when dragging 3D
    windows across the screen.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit d757fe10b9ce9493ef3cf854bc03088366aa7256
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Nov 22 22:55:59 2013 -0800

    Drop dependence on xf86PciInfo.h
    
    It is about time we stop using this deprecated file and include pciids
    locally.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit d5da29d2ff94c80c8edefd6ccf5fd05fc6018870
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Fri Oct 25 20:31:05 2013 +0200

    Do not use int10 or VBE on powerpc
    
    VBE was already skipped in the normal path, but not when setting
    the PROBE_DETECT flag.
    
    Should avoid bus error seen in
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=622606 and
    http://lists.x.org/archives/xorg/2012-February/053969.html
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>

commit ccdfcf5c05ccade823c9734212dcb865d8958cbb
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Wed Oct 2 20:36:38 2013 +0200

    r128: bump to version 6.9.2
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 255cf857af35e4024486cbc2693872d020f09a29
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Sep 30 23:24:54 2013 -0700

    Specify NULL for the platform probe function
    
    Apparently this has been required by the ABI since server 1.13.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit a98077959a65dfda1db900373969bd08479d3e43
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Sep 30 21:12:20 2013 -0700

    Minor spacing changes
    
    A log message needed a space added, two source files needed whitespace
    removed.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit aca6aa127f43deeed42c4d3bef8d1e6a735b4c50
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Mar 8 01:02:22 2013 -0800

    Swap pixmap bytes for a solid picture on big endian host
    
    Some PowerPC users were reporting color errors that only happened with
    EXA+DRI. This implements a recent bugfix in the Radeon driver which will
    solve at least one of these problems.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 24f28a78fdcd056357f137650ca7f0f01c257d97
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Dec 19 10:41:14 2012 -0800

    Remove call to obsolete miInitializeBackingStore()
    
    Definition was deleted from Xorg during 1.14 merge window, but has been
    a no-op since 1.10 merge window.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit ef4467b4aac70b9a8a1ef1194eb02d7551be2602
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:25:17 2012 +1000

    r128: bump to 6.9.1
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1793fe6e84a0ee4e4924d90e9e777213a6a5ea20
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:24:53 2012 +1000

    fix make distcheck
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e0222a5f5e7cad482044a542e4b1ebc32f774648
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:22:40 2012 +1000

    r128: bump release to 6.9.0
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit e8b741e8fd4acebd79ee495cdd5437746ae80c39
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Sep 28 11:20:41 2012 +1000

    r128: enable EXA by default if XAA isn't available at build time.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 4ecd6e67fbbfd52e0ac77a6c48bd3c6a6d5598e7
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Aug 31 00:19:21 2012 -0700

    Scale Xv with the vertical stretch ratio
    
    If we are using a resolution lower than the native resolution of the
    flat panel, the video overlay needs to know this. Otherwise a black bar
    appears beneath the video. This is essentially Conn's patch from the bug
    tracker except it doesn't always rely on info->PanelYRes. ACPI events
    can change this without the driver's knowledge.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=6493
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 7f279e9d4e329ccb95de16f205ea4cd0ab37a65b
Author: Connor Behan <connor.behan@gmail.com>
Date:   Wed Aug 29 16:06:39 2012 -0700

    Remove nested preprocessor checks
    
    When checking for R128DRI and RENDER, it is better to use two lines
    instead of four.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit deb05ac9cf58608b3d8d9947f52e9bcc5e0ae6b5
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Jul 30 14:28:05 2012 +1000

    Fix build without XAA again
    
    referring to info->accel instead of info->accelOn
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 310d998b7bb6d1befb1001deb565fb51a4b17013
Author: Connor Behan <connor.behan@gmail.com>
Date:   Fri Jul 27 11:49:38 2012 +1000

    r128: fix missing preprocessor check for R128DRI
    
    This fixes one build problem seen in tinderbox.
    
    [airlied: split out from larger patch]
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f83ee3144236bcca35eeadee2924e8bc15092447
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Jul 17 22:53:17 2012 -0700

    Fix build without EXA
    
    The offscreen area used by EXA needs to be declared even with lazy
    evaluation.
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit 599c69a9cbf78c8717fb9ec92d9e764d9b358cf3
Author: Connor Behan <connor.behan@gmail.com>
Date:   Tue Jul 17 22:33:43 2012 -0700

    Make debug mode work again
    
    The source should not assume that debugging is turned off. It should
    build even if the user edits r128.h and enables it.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=47785
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>

commit c16d4e8bc068cb8127fa95347d26c7b80258f816
Author: Connor Behan <connor.behan@gmail.com>
Date:   Mon Jul 16 12:56:00 2012 -0700

    Add EXA support
    
    This introduces EXA acceleration which can improve performance and allow
    2D acceleration to be used without XAA. Implemented hooks are Solid,
    Copy and Composite. They appear to pass all rendercheck tests, except
    the gradient test which XAA also fails. Tested on multiple color depths,
    with and without DRI, with and without the composite extension. Hardware
    cursor, Xvideo and page flipping are supported as well.
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=47866
    
    [ Michel Dänzer: Drop unrelated addition of #include "r128_version.h" ]
    
    Signed-off-by: Connor Behan <connor.behan@gmail.com>
    Signed-off-by: Michel Dänzer <michel.daenzer@amd.com>

commit a4231073010096f689df72c1f8f1453852f28d81
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-r128: bump to version 6.8.4
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 16df5622c550c64711a25a9d8ece9152c3047a94
Author: Dave Airlie <airlied@gmail.com>
Date:   Sun Jul 15 17:14:10 2012 +1000

    r128: drop XAA support.
    
    this just makes XAA conditional.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 734e9ff97b81af732ab7065761212e8eb8f6aa3c
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:26:11 2012 +0100

    r128: bump 6.8.3 release
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit b027633fcfc0e226b78036e27c66ccd76542e43f
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:02:27 2012 +0100

    r128: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 1ac4cd4b41d0e8232660df78ff136df1214f3907
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:23:54 2012 -0700

    xf86-video-r128 6.8.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2cab077d6a0380fa22fa3dda8669cf0613aee17b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:23:17 2012 -0700

    Sun's copyrights are owned by Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 22057e94b9f7cc8f707893400628c2d9875b2955
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 14:24:36 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the driver
    itself does exactly nothing other than not fill in the CFLAGS and thus stop
    the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b4892e34011d6da577002a29913a803d5dbe1c06
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:07:11 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4ad32624b2f1344168e0083d33227021c87fee60
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:06:11 2011 -0500

    Make failure to XAA non-fatal
    
    No shadowfb support in this driver yet
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 67aaa4698586d75242627b7ce8f4815eeb08f853
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 31 11:56:33 2011 -0700

    Build fix for older servers (error: conflicting types for 'pciTag')
    
    /usr/include/xorg/xf86Pci.h:254:25: note: previous declaration of 'pciTag' was here
    
    Reported-by: Johannes Obermayr <johannesobermayr@gmx.de>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ea9e6b548633df5b6ffeac8071f27a5c04ac817e
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:31:19 2011 -0700

    pciTag was removed from xorg-server, so provide it in-driver until this is updated to use libpciaccess
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit cfcaac0d7861c00af23c683487dcad2fcb51a908
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:29:35 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3de85360ca4bfdece74f8b161305b2d4276b705e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Oct 14 14:38:52 2010 -0400

    Don't allow the config file to override BIOS location
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 65c50344d147fddc36212c01d307c6e002b6a84e
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b56e5c7d651515d16605107145c8b39b76dd69e3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit 41a59f565b92f2175c96595428c03293cb7e8d34
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aaef5ae3fb37797ef2c521a33c0f5b6e7462cecd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f057cc8a58538336862b1e2938a46b7d1e2c2288
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:22 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e260e999e6182e9a976d576a4d36a25b6939f508
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ecff91a9c660c2fe22ecee7740819dd0ebea97af
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6a21d8268b7005b5789afdd638529a342037f755
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:57 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b6cfee442b87418ded95dc9d9e5c43bbf57149c9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0a912e700d92b04bbe644904e76edf2483b4f0df
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 56448e3a41dad4ba912c92e4c23565b8a2312d91
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b6f59edaef05a42e25cb7797ac5c78ad81b1be00
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 1936b9bb4746e86a10add4752b4394aad4bb5a19
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 09:07:23 2010 -0400

    README: keep the text version of README, discard the sgml version
    
    The linuxdoc doc tool is deprecated.
    README files are exclusively text files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 56bea2e89ceb84377976ab60bc9bf1707f3bec39
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 14 09:05:11 2010 -0400

    README: fix linuxdoc content
    
    defs.ent are located under X11 directory
    ident tag is not a Linuxdoc tag
    replace docbook email tag with linuxdoc email tag
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b0be6cec03728dae8826c9d256790badfece6090
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:00:41 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b5ba30924e001d0510313cedc96200860faa01c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:00:41 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c8657cd4bf014d56708512916a780fccb4c10b05
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Mar 8 10:46:45 2010 -0500

    Don't check for Xinerama.
    
    It doesn't seem to be used anywhere, so don't require it.
    
    CC: Jerome Glisse <jglisse@redhat.com>
    CC: Alex Deucher <alexdeucher@gmail.com>
    CC: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit fa91ba1a82c44aacdb469bc2da57f5d1f924f8ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:45:24 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7bc68200e08a7ab228d6be9da0943ac119a9f13e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:20 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a502b2339bfe4cecfb7a1f4f3ce217687c1b50e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit ac6c537bfc139cb7c5d76650c4146c86b9889902
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit e05f059ecd970f3d9f5454f1689ce45cbc660a55
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 34b22945240af367dc1f874733a49cdeb7526bb0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:21 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

